#!/usr/bin/python3
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--PETSC_ARCH=x86_64-unknown-freebsd12.2_double_real_Int64',
    '--SOSUFFIX=double_real_Int64',
    '--known-64-bit-blas-indices=0',
    '--known-mpi-int64_t=0',
    '--prefix=/workspace/destdir/lib/petsc/double_real_Int64',
    '--with-64-bit-indices=1',
    '--with-batch',
    '--with-blaslapack-lib=/workspace/destdir/lib/libopenblas.so',
    '--with-blaslapack-suffix=',
    '--with-debugging=0',
    '--with-mpi-include=/workspace/destdir/include',
    '--with-mpi-lib=[/workspace/destdir/lib/libmpifort.so,/workspace/destdir/lib/libmpi.so]',
    '--with-precision=double',
    '--with-scalar-type=real',
    '--with-sowing=0',
    'CC=cc',
    'CFLAGS=-fno-stack-protector',
    'COPTFLAGS=-O3',
    'CXX=c++',
    'CXXOPTFLAGS=-O3',
    'FC=gfortran',
    'FFLAGS=',
    'FOPTFLAGS=-O3',
    'LDFLAGS=-L/workspace/destdir/lib',
  ]
  configure.petsc_configure(configure_options)
